﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Windows.Editors;
using System.Collections;

namespace MultiComboInDataGrid
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();    
           
        }
    }

    #region Data

    public class VM
    {
        public VM()
        {
            Random r = new Random();
            Invoices = new ObservableCollection<Invoice>();

            for (int i = 0; i < 10; i++)
            {
                Invoices.Add(new Invoice { InvoiceCode = "IVC" + r.Next(1000), Description = "Invoice description " + i, Price = r.Next(10000, 20000) });
            }

            Data = new ObservableCollection<Data>();

            for (int i = 0; i < 10; i++)
            {
                Data.Add(new Data { ID = i, Name = "Item " + i, Invoice = Invoices[r.Next(Invoices.Count)].InvoiceCode });
            }
        }

        public ObservableCollection<Data> Data { get; set; }
        public ObservableCollection<Invoice> Invoices { get; set; }
    }

    public class Data
    {
        public int ID { get; set; }
        public string Name { get; set; }
        public string Invoice { get; set; }
    }

    public class Invoice
    {
        public string InvoiceCode { get; set; }
        public string Description { get; set; }
        public decimal Price { get; set; }
    }

    #endregion
}
